import * as _backstage_plugin_scaffolder_backend from '@backstage/plugin-scaffolder-backend';
import { ScmIntegrationRegistry } from '@backstage/integration';

declare const createAzurePipelineAction: (options: {
    integrations: ScmIntegrationRegistry;
}) => _backstage_plugin_scaffolder_backend.TemplateAction<{
    organization: string;
    project: string;
    folder: string;
    name: string;
    repositoryId: string;
    repositoryName: string;
    yamlPath?: string | undefined;
    token?: string | undefined;
}>;

declare const permitAzurePipelineAction: (options: {
    integrations: ScmIntegrationRegistry;
}) => _backstage_plugin_scaffolder_backend.TemplateAction<{
    organization: string;
    project: string;
    resourceId: string;
    resourceType: string;
    authorized: boolean;
    pipelineId: string;
    token?: string | undefined;
}>;

declare const runAzurePipelineAction: (options: {
    integrations: ScmIntegrationRegistry;
}) => _backstage_plugin_scaffolder_backend.TemplateAction<{
    organization: string;
    pipelineId: string;
    project: string;
    branch?: string | undefined;
    token?: string | undefined;
}>;

export { createAzurePipelineAction, permitAzurePipelineAction, runAzurePipelineAction };
